%define name	bmp-rss-feeder
%define version	0.1.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	Produces an RSS feed of recently played songs on beep media player
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://bmp-rss-feeder.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig beep-media-player-devel libglade2.0-devel gnome-vfs2-devel
BuildRequires:	automake1.9 libtool
Requires:	beep-media-player

%description
This addon to beep-media-player exports an rss feed of the last played songs
to the internet or to a local xml file.

%prep
%setup -q

%build
aclocal
cp /usr/share/libtool/libltdl/ltmain.sh .
automake -a
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%_libdir/bmp_rss_feeder.la
mkdir -p $RPM_BUILD_ROOT/%_libdir/bmp/General
mv $RPM_BUILD_ROOT/%_libdir/bmp_rss_feeder.so $RPM_BUILD_ROOT/%_libdir/bmp/General/

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS ChangeLog NEWS TODO
%{_libdir}/bmp/General/*
%{_datadir}/%name

%changelog
* Fri Nov 5 2004 Austin Acton <austin@mandrake.org> 0.1.0-1mdk
- initial package
